<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.configuration2.event.EventListenerRegistrationData (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.configuration2.event.EventListenerRegistrationData (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="class in org.apache.commons.configuration2.event">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/event/class-use/EventListenerRegistrationData.html" target="_top">Frames</a></li>
<li><a href="EventListenerRegistrationData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.configuration2.event.EventListenerRegistrationData" class="title">Uses of Class<br>org.apache.commons.configuration2.event.EventListenerRegistrationData</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="class in org.apache.commons.configuration2.event">EventListenerRegistrationData</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder</a></td>
<td class="colLast">
<div class="block">
 This package contains the implementations of <em>configuration builder</em>
 classes used to create new <code>Configuration</code> objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.event">org.apache.commons.configuration2.event</a></td>
<td class="colLast">
<div class="block">
 This package contains interfaces and classes for receiving notifications
 about changes at configurations.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2.builder">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="class in org.apache.commons.configuration2.event">EventListenerRegistrationData</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="class in org.apache.commons.configuration2.event">EventListenerRegistrationData</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br><a href="../../../../../../org/apache/commons/configuration2/builder/EventListenerParameters.html" title="class in org.apache.commons.configuration2.builder">EventListenerParameters</a></code></td>
<td class="colLast"><span class="typeNameLabel">EventListenerParameters.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/EventListenerParameters.html#addEventListener-org.apache.commons.configuration2.event.EventListenerRegistrationData-">addEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="class in org.apache.commons.configuration2.event">EventListenerRegistrationData</a>&lt;T&gt;&nbsp;registrationData)</code>
<div class="block">Adds the specified <code>EventListenerRegistrationData</code> instance to this
 object.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.event">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="class in org.apache.commons.configuration2.event">EventListenerRegistrationData</a> in <a href="../../../../../../org/apache/commons/configuration2/event/package-summary.html">org.apache.commons.configuration2.event</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/event/package-summary.html">org.apache.commons.configuration2.event</a> that return types with arguments of type <a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="class in org.apache.commons.configuration2.event">EventListenerRegistrationData</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="class in org.apache.commons.configuration2.event">EventListenerRegistrationData</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BaseEventSource.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#getEventListenerRegistrations--">getEventListenerRegistrations</a></span>()</code>
<div class="block">Returns a list with all <code>EventListenerRegistrationData</code> objects
 currently contained for this event source.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="class in org.apache.commons.configuration2.event">EventListenerRegistrationData</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">EventListenerList.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/EventListenerList.html#getRegistrations--">getRegistrations</a></span>()</code>
<div class="block">Returns an (unmodifiable) list with registration information about all
 event listeners registered at this object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="class in org.apache.commons.configuration2.event">EventListenerRegistrationData</a>&lt;? extends T&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">EventListenerList.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/EventListenerList.html#getRegistrationsForSuperType-org.apache.commons.configuration2.event.EventType-">getRegistrationsForSuperType</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType)</code>
<div class="block">Returns a list with <code>EventListenerRegistrationData</code> objects for all
 event listener registrations of the specified event type or an event type
 having this type as super type (directly or indirectly).</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/event/package-summary.html">org.apache.commons.configuration2.event</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="class in org.apache.commons.configuration2.event">EventListenerRegistrationData</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>void</code></td>
<td class="colLast"><span class="typeNameLabel">EventListenerList.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/EventListenerList.html#addEventListener-org.apache.commons.configuration2.event.EventListenerRegistrationData-">addEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="class in org.apache.commons.configuration2.event">EventListenerRegistrationData</a>&lt;T&gt;&nbsp;regData)</code>
<div class="block">Adds the specified listener registration data object to the internal list
 of event listeners.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">EventListenerList.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/EventListenerList.html#removeEventListener-org.apache.commons.configuration2.event.EventListenerRegistrationData-">removeEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="class in org.apache.commons.configuration2.event">EventListenerRegistrationData</a>&lt;T&gt;&nbsp;regData)</code>
<div class="block">Removes the event listener registration defined by the passed in data
 object.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="class in org.apache.commons.configuration2.event">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/event/class-use/EventListenerRegistrationData.html" target="_top">Frames</a></li>
<li><a href="EventListenerRegistrationData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
